DPKG-DEPCHECK(1)

NOM
dpkg-depcheck - Déterminer les paquets utilisés pour exécuter une commande

SYNOPSIS
dpkg-depcheck [options] commande

DESCRIPTION
Ce programme exécute la commande indiquée avec strace puis détermine et affiche la liste des paquets utilisés par ce processus. La liste est affectée par les options décrites plus bas. Un bon exemple d'utilisation de ce programme consiste à exécuter dpkg-depcheck -b debian/rules build, qui donnera une première bonne approximation de la ligne des dépendances de construction (Build-Depends) du paquet Debian. Remarquez cependant que ça ne donne aucune information sur les versions nécessaires ou sur les paquets spécifiques à une architecture.

OPTIONS

-a, --all
    Signaler les paquets utilisés pour exécuter la commande, ce qui est le comportement par défaut. Utilisée avec -b, -d ou -m, elle procure davantage d'informations sur les paquets ignorés par ces options.

-b, --build-depends
    Ne signaler aucune utilisation d'un paquet "essential" (essentiel) ou "build-essential" (essentiel pour la construction des paquets), ou d'une de leurs dépendances (directes ou indirectes).

-d, --ignore-dev-deps
    Ne pas afficher les paquets qui sont des dépendances directes des paquets -dev utilisés, ce qui implique l'option -b.

-m, --min-deps
    Donner un ensemble minimaliste de paquets nécessaires, en prenant en compte les dépendances directes. Utiliser -m implique -d ainsi que -b.

-C, --C-locale
    Exécuter la commande avec les paramètres régionaux ("locale") C.

--no-C-locale
    Ne pas changer la "locale" lors de l'exécution de commande.

-l, --list-files
    Signaler également la liste des fichiers utilisés dans chaque paquet.

--no-list-files
    Ne pas signaler la liste des fichiers utilisés dans chaque paquet. Cette option annule l'option -l.

-o, --output=FICHIER
    Diriger le diagnostic du paquet dans le FICHIER plutôt que sur la sortie standard.

-O, --strace-output=FICHIER
    Écrire la sortie de strace dans FICHIER plutôt que dans un fichier temporaire lorsque la commande est "tracée".

-I, --strace-input=FICHIER
    Utiliser la sortie strace du FICHIER au lieu de "trace" la commande. strace doit avoir été exécuté avec les options -f -q pour que cela fonctionne.

-f, --features=LISTE
    Activer ou désactiver les fonctionnalités données dans la LISTE. Les fonctionnalités sont séparées par des virgules. Une fonctionnalité est activée en précisant +fonctionnalité ou juste fonctionnalité ; elle est désactivée en précisant -fonctionnalité. La liste des fonctionnalités reconnues actuellement est la suivante :
    warn-local
        Avertir si des fichiers de /usr/local ou /var/local sont utilisés. Cette option est activée par défaut.
    discard-check-version
        Ne pas utiliser execve lorsque seul un paramètre --version est donné au programme. C'est une astuce pour les scripts "configure" qui recherchent des exécutables qu'ils n'utiliseront pas finalement. Cette fonctionnalité est activée par défaut.
    trace-local
        Essayer également d'identifier les accès aux fichiers de /usr/local et /var/local. Ce n'est généralement pas très utile, puisque qu'aucun fichier n'y est placé par Debian. Cette fonctionnalité est désactivée par défaut.
    catch-alternatives
        Avertir à propos des accès aux fichiers contrôlés par le système d'alternatives de Debian. Cette fonctionnalité est activée par défaut.
    discard-sgml-catalogs
        Ne pas prendre les accès aux catalogues SGML en considération. Certains outils lisent tous les catalogues au démarrage. Les fichiers qui correspondent à l'expression rationnelle /usr/share/sgml/.*\.cat sont considérés comme des catalogues. Cette fonctionnalité est activée par défaut.

--no-conf, --noconf
    Ne lire aucun fichier de configuration. L'option ne peut être utilisée qu'en première position de la ligne de commande.

-h, --help
    Afficher un message d'aide et quitter.

-v, --version
    Afficher la version et le copyright puis quitter.

VARIABLES DE CONFIGURATION
Les deux fichiers de configuration /etc/devscripts.conf et ~/.devscripts sont évalués dans cet ordre par un interpréteur de commandes pour placer les variables de configuration. Des options de ligne de commande peuvent être utilisées pour neutraliser les paramètres des fichiers de configuration. Les paramètres des variables d'environnement sont ignorés à cette fin. Si la première option donnée en ligne de commande est --noconf, alors ces fichiers ne sont pas évalués. Les variables actuellement identifiées sont :

DPKG_DEPCHECK_OPTIONS
    Il s'agit des options qui sont analysées avant les options de la ligne de commande. Par exemple,

    DPKG_DEPCHECK_OPTIONS="-b -f-catch-alternatives"

    qui permet de passer ces options à dpkg-depcheck avant que les options de la ligne de commande soient analysées. Il est conseillé de ne pas jouer au plus fin avec les guillemets, car les interpréteurs de commandes sont assez capricieux à ce sujet !

VOIR AUSSI
dpkg(1), strace(1), devscripts.conf(5), update-alternatives(8)

COPYRIGHT
Copyright 2001 Bill Allombert <ballombe@debian.org>. Modifications copyright 2002, 2003 Julian Gilbey <jdg@debian.org>. dpkg-depcheck est un logiciel libre, sous la licence publique générale GNU, version 2 ou ultérieure (comme vous le souhaitez). Vous êtes encouragés à apporter des modifications et/ou à distribuer des copies sous certaines conditions. Absolument aucune garantie n'est donnée pour dpkg-depcheck.

TRADUCTION
Ce document est une traduction, maintenue à l'aide de l'outil po4a <https://po4a.alioth.debian.org/> par l'équipe de traduction francophone du projet Debian.

Nicolas François, Guillaume Delacour, Cyril Brulebois, Thomas Huriaux et David Prévot ont réalisé cette traduction.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. Veuillez signaler toute erreur de traduction en écrivant à <debian-l10n-french@lists.debian.org> ou par un rapport de bogue sur le paquet devscripts.

La version anglaise la plus à jour de ce document est toujours consultable en ajoutant l'option « -L C » à la commande man.